com.orsoncharts.data

## Class KeyedValuesItemKey

- java.lang.Object
- - com.orsoncharts.data.KeyedValuesItemKey

- All Implemented Interfaces:
    ItemKey, java.io.Serializable

      public class KeyedValuesItemKey
      extends java.lang.Object
      implements ItemKey, java.io.Serializable

  An object that references one data item in a `KeyedValues3D` data structure.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyedValuesItemKey(java.lang.Comparable<? extends java.lang.Object> key)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
    `java.lang.Comparable<?>` | `getKey()` Returns the key.
    `java.lang.String` | `toJSONString()` Returns a JSON formatted string representing the key.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyedValuesItemKey

          public KeyedValuesItemKey(java.lang.Comparable<? extends java.lang.Object> key)

      Creates a new instance.
      Parameters:
        `key` - the key (`null` not permitted).

  - ### Method Detail

    - #### getKey

          public java.lang.Comparable<?> getKey()

      Returns the key.
      Returns:
        The key (never `null`).

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this instance for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` not permitted).
      Returns:
        A boolean.

    - #### toJSONString

          public java.lang.String toJSONString()

      Description copied from interface: `ItemKey`
      Returns a JSON formatted string representing the key.
      Specified by:
        `toJSONString` in interface `ItemKey`
      Returns:
        A JSON formatted string.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`